Package org.mariadb.jdbc.util.timeout

## Class NoOpQueryTimeoutHandler

- java.lang.Object
- - org.mariadb.jdbc.util.timeout.NoOpQueryTimeoutHandler

All Implemented Interfaces:
  `AutoCloseable`, `QueryTimeoutHandler`

    public class NoOpQueryTimeoutHandler
    extends Object
    implements QueryTimeoutHandler

### Field Summary

Fields
`static NoOpQueryTimeoutHandler` `INSTANCE`

### Constructor Summary

Constructors
`NoOpQueryTimeoutHandler()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `close()`
`QueryTimeoutHandler` `create​(int queryTimeout)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### INSTANCE

    public static final NoOpQueryTimeoutHandler INSTANCE

### Constructor Detail

#### NoOpQueryTimeoutHandler

    public NoOpQueryTimeoutHandler()

### Method Detail

#### create

    public QueryTimeoutHandler create​(int queryTimeout)

Specified by:
  `create` in interface `QueryTimeoutHandler`

#### close

    public void close()

Specified by:
  `close` in interface `AutoCloseable`
Specified by:
  `close` in interface `QueryTimeoutHandler`